<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource;

class ron30001ClassificacaoCompromissoController extends TeknisaCrud
{
    protected $dataSourceName = 'crm_classificaCompr';
    
    public function save(Request $request, Response $response) {
        parent::save($request, $response);
	    $columnsToReturn = $this->crudService->getColumnsToReturn();
        $retorno = array();
        if (count($columnsToReturn) > 0)
            $retorno["NRCLASSIFICACOMPR"] = $columnsToReturn[0]["NRCLASSIFICACOMPR"];
	    
	    $response->addDataSet(new DataSource\DataSet("columnsToReturn", $retorno));
    }
}
?>